import "core-js/modules/es6.regexp.replace";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _assertThisInitialized from "@babel/runtime/helpers/assertThisInitialized";
import _inherits from "@babel/runtime/helpers/inherits";
import React, { Component } from 'react';
import Input from '../input';
import Calendar from 'rc-calendar';
import DatePicker from 'rc-calendar/lib/Picker';
import zhcn from 'rc-calendar/lib/locale/zh_CN';
import moment from 'moment';
import 'moment/locale/zh-cn';

require('rc-calendar/assets/index.css');

require('./index.css');

var _default =
/*#__PURE__*/
function (_Component) {
  _inherits(_default, _Component);

  function _default(props) {
    var _this;

    _classCallCheck(this, _default);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(_default).call(this, props));
    _this.onChange = _this.onChange.bind(_assertThisInitialized(_this));
    _this.onSelect = _this.onSelect.bind(_assertThisInitialized(_this));
    _this.state = {
      showClalendar: false,
      text: props.text,
      value: props.value
    };
    return _this;
  }

  _createClass(_default, [{
    key: "onChange",
    value: function onChange(value) {
      this.setState({
        text: value.format('LL'),
        value: value.format('L')
      });
    }
  }, {
    key: "onSelect",
    value: function onSelect(value) {
      var _this2 = this;

      this.setState({
        text: value.format('LL'),
        value: value.format('L'),
        showClalendar: false
      }, function () {
        _this2.props.onChange && _this2.props.onChange({
          text: _this2.state.text,
          value: value.format('L').replace(/\-/g, '/')
        });
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      return React.createElement("div", {
        className: "date-container"
      }, this.state.showClalendar ? React.createElement("div", {
        className: "mask",
        onClick: function onClick() {
          return _this3.setState({
            showClalendar: false
          });
        }
      }) : null, React.createElement(Input, {
        value: this.state.text,
        onFocus: function onFocus() {
          return _this3.setState({
            showClalendar: true
          });
        },
        readOnly: true
      }), this.state.showClalendar ? React.createElement(Calendar, {
        locale: zhcn,
        formatter: this.props.format,
        showDateInput: this.props.showDateInput,
        showToday: this.props.showToday,
        style: {
          position: 'absolute',
          zIndex: 100
        },
        onChange: this.onChange,
        onSelect: this.onSelect,
        value: this.state.value ? moment(this.state.value) : moment()
      }) : null);
    }
  }]);

  return _default;
}(Component);

_default.defaultProps = {
  format: 'YYYY-MM-DD',
  showDateInput: false,
  showToday: false
};
export { _default as default };