import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _assertThisInitialized from "@babel/runtime/helpers/assertThisInitialized";
import _inherits from "@babel/runtime/helpers/inherits";
import React, { Component } from 'react';

require('./index.css');

var _default =
/*#__PURE__*/
function (_Component) {
  _inherits(_default, _Component);

  function _default(props) {
    var _this;

    _classCallCheck(this, _default);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(_default).call(this, props));
    _this.onChangeHandler = _this.onChangeHandler.bind(_assertThisInitialized(_this));
    _this.onBlurHandler = _this.onBlurHandler.bind(_assertThisInitialized(_this));
    _this.state = {
      value: props.value
    };
    return _this;
  }

  _createClass(_default, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      if (this.state.value !== nextProps.value) {
        this.setState({
          value: nextProps.value
        });
      }
    }
  }, {
    key: "onChangeHandler",
    value: function onChangeHandler(e) {
      this.setState({
        value: e.target.value
      });
    }
  }, {
    key: "onBlurHandler",
    value: function onBlurHandler(e) {
      this.props.onChange && this.props.onChange(e.target.value);
    }
  }, {
    key: "render",
    value: function render() {
      return React.createElement("input", {
        className: "inputcomponent".concat(this.props.readOnly ? ' readonly' : '').concat(this.props.disabled ? ' disabled' : '').concat(this.props.errorMessage ? ' error' : ''),
        disabled: this.props.disabled ? 'disabled' : false,
        readOnly: this.props.readOnly ? 'readOnly' : false,
        value: this.state.value,
        onFocus: this.props.onFocus,
        onChange: this.onChangeHandler,
        onBlur: this.onBlurHandler,
        placeholder: this.props.placeholder || ''
      });
    }
  }]);

  return _default;
}(Component);

_default.defaultProps = {
  readOnly: false,
  disabled: false,
  errorMessage: ''
};
export { _default as default };