import Input from './input';
import Dropdown from 'recruit-dropdown';
import DateComponent from './date';
import InputPhone from './input-phone';
class FormMap {
	constructor() {
		this.map = {
			input: Input,
			dropdown: Dropdown,
			date: DateComponent,
			'input-phone': InputPhone
		}
	}

	getComponentMap(key) {
		return this.map[key];
	}
}
const FormComponentMap = new FormMap();
export default FormComponentMap;